High Sierra is only compatible with very recent versions of Apple Pro Apps, including Final Cut Pro X and Logic Pro X.  Users of older Apple Pro Apps may need to buy new versions.